.
  • 最新新闻
  • 热门新闻
Message: 'chromedriver' executable needs to be in PATH.
时间:2019-12-28 22:12:20
Message: 'chromedriver' executable needs to be in PATH.


最近在python中使用webdriver报错:

Message: 'chromedriver' executable needs to be in PATH.


如果出现这个错误还好解决,首先去官方下载最新的chromedriver驱动。

链接如下:

https://sites.google.com/a/chromium.org/chromedriver/home

首先解压开来会有一个chromedriver.exe文件,把这个文件放到

C:\Users\Administrator\AppData\Local\Programs\Python\Python37\Scripts目录中

如果找不到这个目录,可以右键我的电脑属性查看环境变量的路径。

null


以及复制到chrome的安装目录下:

C:\Program Files (x86)\Google\Chrome\Application


然后根据自己的chrome版本选择对应的driver引擎。需要注意的是,基本上chrome会自动更新到最新版本,所以driver如果有朝一日不更新了,就会出现无法使用的情况。

这一点和phantom一样,如今phantom只能支持很老的谷歌浏览器版本,大概是50左右。如今最新的谷歌浏览器版本已经是79了,beta版本甚至已经达到80。